--
-- Gfoellner
-- Specialization for a Gfoellner
--
-- @originalauthor (MobileTank)  Manuel Leithner
-- @edit Mofa-Killer
-- @date  15/11/10
--

Gfoellner = {};

function Gfoellner.prerequisitesPresent(specializations)
    return true
end;

function Gfoellner:load(xmlFile)

	self.gastrigger = Utils.indexToObject(self.components, getXMLString(xmlFile, "vehicle.gastrigger#index"));
	g_currentMission:addNonUpdateable(GasStation:new(self.gastrigger));

	self.fertilizertrigger = Utils.indexToObject(self.components, getXMLString(xmlFile, "vehicle.fertilizertrigger#index"));
	g_currentMission:addNonUpdateable(SprayerFillTrigger:new(self.fertilizertrigger));

end;

function Gfoellner:delete()
end;

function Gfoellner:mouseEvent(posX, posY, isDown, isUp, button)
end;

function Gfoellner:keyEvent(unicode, sym, modifier, isDown)
end;

function Gfoellner:update(dt)
end;

function Gfoellner:draw()
end;

